---
{%- from "vector/map.jinja" import vector with context %}
vector-default:
  file.managed:
    - name: /etc/default/vector
    - source: salt://vector/templates/vector.default.j2
    - user: root
    - group: root
    - mode: 600
    - template: jinja

vector-config-dir:
  file.directory:
    - name: /etc/vector
    - user: root
    - group: root
    - mode: 700
  #    - watch_in:
  #      - service: vector-service

vector-config-file:
  file.managed:
    - name: /etc/vector/vector.conf
    - source: salt://vector/templates/vector.toml.j2
    - user: root
    - group: root
    - mode: 600
    - template: jinja
  #    - watch_in:
  #      - service: vector-service
